%define	name	modplug-xmms
%define	version	1.5a
%define	release	1
%define	prefix	/usr

Summary:	Modplug Plugin for XMMS
Name:		%{name}
Version:	%{version}
Release:	%{release}
Prefix:		%{prefix}
Copyright:	GPL
Group:		Applications/Multimedia
URL:		http://modplug-xmms.sourceforge.net/
Vendor:		Kenton Varda <temporal@gauge3d.org>
Source:		modplugxmms-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	xmms >= 1.0.0
BuildPrereq:	xmms-devel

%description
Modplug-XMMS is a fully featured, complete input plugin for XMMS which
plays mod-like music formats. It is based on the mod rendering code from
ModPlug, a popular windows mod player written by Olivier Lapicque,
found at http://www.modplug.com

%prep
%setup -q -n modplugxmms-%{version}

export CFLAGS="${RPM_OPT_FLAGS}" CXXFLAGS="${RPM_OPT_FLAGS}";
./configure --prefix=%{prefix}

%build
make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{prefix}/lib/xmms/Input/libmodplug.so

%changelog
* Fri Feb 16 2001 Ryan Weaver <ryanw@infohwy.com>
  [modplug-xmms-1.5a-1]
- Due to a misunderstanging between Olivier (creator of ModPlug) and
  myself, I incorrectly reported that version 1.5 had polyphase and
  spline resampling when this was not the case.
- Added (for real this time!) spline and 8-tap fir resampling modes,
  written by Markus Fick.
- Preamp now correctly saves its state when you exit.
- Other minor bug fixes.

* Wed Jan 24 2001 Ryan Weaver <ryanw@infohwy.com>
  [modplug-xmms-1.5-1]
- Latest Modplug sound engine, including the following changes:
  - Polyphase resampling. I don't know what this is, but it sounds
    good. :) (Reminder: I, Kenton Varda, did not write the sound
    engine. Olivier did that. :)
  - Support for MT2 and PSM mod formats.
  - Obscure pitch-shifting bug fixed. Now you can play IT files
    generated by OpenSPC, among other things.
- Bzip2 support contributed by Colin DeVilbiss .
- Configurable preamp.
- Changed endianness setting to make big-endian (PPC) ports work
  again.

* Tue Jun 18 2000 Ryan Weaver <ryanw@infohwy.com>
  [modplug-xmms-1.3a-1]
- Looping!  Check the configure dialog.
- New IT filters, using the same algorithm as impulse tracker itself.
- IT file comments supported.
- No more crash when you press stop while paused.
- Blank mod names are replaced by the filename.
- Possibly works on Solaris-x86 now.
- Better zip and rar support.  (should support every archive now)
- Compiles faster (almost twice as fast!).
- Glade project files are now included with the source code.

* Mon Apr 10 2000 Ryan Weaver <ryanw@infohwy.com>
  [modplug-xmms-1.2-1]
- New file formats recognised:
    S3Z, S3R, S3GZ, XMZ, XMR, XMGZ, ITZ, ITR, ITGZ
  These are all compressed file formats.  Note that the compression
  format of a compressed mod is determined by extension, but the mod
  format is NOT.  So, you could zip an XM and give it the extension
  MDZ and it would work.
- If you try to load a ZIP, RAR, or GZ file that happens to contain a
  mod, it will be played.
- Multi-file archives work.  Only the first mod found in the archive
  will be played, but non-mods will be ignored as they should be.
- Buffering fix.  If you were experiencing choppy sound before, try
  this version.
- File info for compressed mods works.
- Trying to close a window using the window manager's close button
  no longer causes crashes.
- Compressed mods with spaces either in the internal filename or in
  the archive's filename work fine.

* Mon Feb 28 2000 Ryan Weaver <ryanw@infohwy.com>
- Initial RPM Build.

  [modplug-xmms-1.1.1-1]
- Fixed minor installation bug that could have affected a few systems.

  [modplug-xmms-1.1-1]
- Latest ModPlug source from Olivier Lapique.
- You can now play compressed mods of the following formats:
  - .MDZ: Standard zipped mod.
  - .MDR: Rar compressed mod.
  - .MDGZ: Gzipped mod.  (not available on Windoze! :)
  Note: To play these formats, you need to have the associated
  decompression utilities (unzip, gunzip, unrar) installed.
- gtk-- is no longer required.
- Fixed bug where files with capitalized extensions did not have their
  names loaded until they were played.
- GUI looks a bit nicer.
- Easier to install.  (automake/autoconf)

